shishi_des_cbc_mac(3)

NAME
shishi_des_cbc_mac - API function

SYNOPSIS
#include <shishi.h>

int shishi_des_cbc_mac(Shishi * handle, const char key[8], const char iv[8], const char * in, size_t inlen, char * out[8]);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

const char key[8]
    input character array with key to use.

const char iv[8]
    input character array with initialization vector to use, can be NULL.

const char * in
    input character array of data to hash.

size_t inlen
    length of input character array of data to hash.

char * out[8]
    newly allocated character array with keyed hash of data.

DESCRIPTION
Computed keyed checksum of data using DES-CBC-MAC. The out buffer must be deallocated by the caller.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.